import { Component } from "@angular/core";
import { GlobalState } from "../../../app.state";
import { ConfigService } from "../../../shared/services/config/config.service";

@Component({
	selector: ".content_inner_wrapper",
	templateUrl: "./ng2-charts.component.html",
	styleUrls: ["./ng2-charts.component.scss"]
})
export class Ng2ChartsComponent {
	// lineChart
	public lineChartData: Array<any> = [
		{ data: [65, 59, 80, 81, 56, 55, 40], label: "Series A" },
		{ data: [28, 48, 40, 19, 86, 27, 90], label: "Series B" },
		{ data: [18, 48, 77, 9, 100, 27, 40], label: "Series C" }
	];
	public lineChartLabels: Array<any> = [
		"January",
		"February",
		"March",
		"April",
		"May",
		"June",
		"July"
	];
	public lineChartOptions: any = {
		animation: false,
		responsive: true
	};
	public lineChartColours: Array<any> = [
		{
			// grey
			backgroundColor: "rgba(148,159,177,0.2)",
			borderColor: "rgba(148,159,177,1)",
			pointBackgroundColor: "rgba(148,159,177,1)",
			pointBorderColor: "#fff",
			pointHoverBackgroundColor: "#fff",
			pointHoverBorderColor: "rgba(148,159,177,0.8)"
		},
		{
			// dark grey
			backgroundColor: "rgba(77,83,96,0.2)",
			borderColor: "rgba(77,83,96,1)",
			pointBackgroundColor: "rgba(77,83,96,1)",
			pointBorderColor: "#fff",
			pointHoverBackgroundColor: "#fff",
			pointHoverBorderColor: "rgba(77,83,96,1)"
		},
		{
			// grey
			backgroundColor: "rgba(148,159,177,0.2)",
			borderColor: "rgba(148,159,177,1)",
			pointBackgroundColor: "rgba(148,159,177,1)",
			pointBorderColor: "#fff",
			pointHoverBackgroundColor: "#fff",
			pointHoverBorderColor: "rgba(148,159,177,0.8)"
		}
	];
	public lineChartLegend: boolean = true;
	public lineChartType: string = "line";

	// barChart
	public barChartOptions: any = {
		scaleShowVerticalLines: false,
		responsive: true
	};
	public barChartLabels: string[] = [
		"2006",
		"2007",
		"2008",
		"2009",
		"2010",
		"2011",
		"2012"
	];
	public barChartType: string = "bar";
	public barChartLegend: boolean = true;

	public barChartData: any[] = [
		{ data: [65, 59, 80, 81, 56, 55, 40], label: "Series A" },
		{ data: [28, 48, 40, 19, 86, 27, 90], label: "Series B" }
	];

	// Doughnut
	public doughnutChartLabels: string[] = [
		"Download Sales",
		"In-Store Sales",
		"Mail-Order Sales"
	];
	public doughnutChartData: number[] = [350, 450, 100];
	public doughnutChartType: string = "doughnut";

	// Radar
	public radarChartLabels: string[] = [
		"Eating",
		"Drinking",
		"Sleeping",
		"Designing",
		"Coding",
		"Cycling",
		"Running"
	];

	public radarChartData: any = [
		{ data: [65, 59, 90, 81, 56, 55, 40], label: "Series A" },
		{ data: [28, 48, 40, 19, 96, 27, 100], label: "Series B" }
	];
	public radarChartType: string = "radar";

	// Pie
	public pieChartLabels: string[] = [
		"Download Sales",
		"In-Store Sales",
		"Mail Sales"
	];
	public pieChartData: number[] = [300, 500, 100];
	public pieChartType: string = "pie";

	// PolarArea
	public polarAreaChartLabels: string[] = [
		"Download Sales",
		"In-Store Sales",
		"Mail Sales",
		"Telesales",
		"Corporate Sales"
	];
	public polarAreaChartData: number[] = [300, 500, 100, 40, 120];
	public polarAreaLegend: boolean = true;

	public polarAreaChartType: string = "polarArea";



}
