import {Component} from "@angular/core";
import {FormControl} from "@angular/forms";
import {MatSelectChange} from "@angular/material";

@Component({
    selector: ".content_inner_wrapper",
    templateUrl: "./form-elements.component.html",
    styleUrls: ["./form-elements.component.scss"]
})
export class FormElementsComponent {
    //CHECKBOX
    checked = false;
    indeterminate = false;
    align = "start";
    disabled = false;

    //RADIO
    favoriteSeason: string;
    seasons = ["Winter", "Spring", "Summer", "Autumn"];

    //SELECTS
    drinksRequired = false;
    pokemonRequired = false;
    drinksDisabled = false;
    pokemonDisabled = false;
    showSelect = false;
    currentDrink: string;
    currentPokemon: string[];
    currentPokemonFromGroup: string;
    latestChangeEvent: MatSelectChange;
    floatPlaceholder: string = "auto";
    foodControl = new FormControl("pizza-1");
    topHeightCtrl = new FormControl(0);
    drinksTheme = "primary";
    pokemonTheme = "primary";

    foods = [
        {value: null, viewValue: "None"},
        {value: "steak-0", viewValue: "Steak"},
        {value: "pizza-1", viewValue: "Pizza"},
        {value: "tacos-2", viewValue: "Tacos"}
    ];

    drinks = [
        {value: "coke-0", viewValue: "Coke"},
        {
            value: "long-name-1",
            viewValue: "Decaf Chocolate Brownie Vanilla Gingerbread Frappuccino"
        },
        {value: "water-2", viewValue: "Water"},
        {value: "pepper-3", viewValue: "Dr. Pepper"},
        {value: "coffee-4", viewValue: "Coffee"},
        {value: "tea-5", viewValue: "Tea"},
        {value: "juice-6", viewValue: "Orange juice"},
        {value: "wine-7", viewValue: "Wine"},
        {value: "milk-8", viewValue: "Milk"}
    ];

    pokemon = [
        {value: "bulbasaur-0", viewValue: "Bulbasaur"},
        {value: "charizard-1", viewValue: "Charizard"},
        {value: "squirtle-2", viewValue: "Squirtle"},
        {value: "pikachu-3", viewValue: "Pikachu"},
        {value: "eevee-4", viewValue: "Eevee"},
        {value: "ditto-5", viewValue: "Ditto"},
        {value: "psyduck-6", viewValue: "Psyduck"}
    ];

    availableThemes = [
        {value: "primary", name: "Primary"},
        {value: "accent", name: "Accent"},
        {value: "warn", name: "Warn"}
    ];

    pokemonGroups = [
        {
            name: "Grass",
            pokemon: [
                {value: "bulbasaur-0", viewValue: "Bulbasaur"},
                {value: "oddish-1", viewValue: "Oddish"},
                {value: "bellsprout-2", viewValue: "Bellsprout"}
            ]
        },
        {
            name: "Water",
            pokemon: [
                {value: "squirtle-3", viewValue: "Squirtle"},
                {value: "psyduck-4", viewValue: "Psyduck"},
                {value: "horsea-5", viewValue: "Horsea"}
            ]
        },
        {
            name: "Fire",
            disabled: true,
            pokemon: [
                {value: "charmander-6", viewValue: "Charmander"},
                {value: "vulpix-7", viewValue: "Vulpix"},
                {value: "flareon-8", viewValue: "Flareon"}
            ]
        },
        {
            name: "Psychic",
            pokemon: [
                {value: "mew-9", viewValue: "Mew"},
                {value: "mewtwo-10", viewValue: "Mewtwo"}
            ]
        }
    ];
}
